<template>
  <div class="member-header">
    <img
      class="member-header__image"
      src="https://cdn.zeplin.io/6246a38b78461517dc062b42/assets/D4BBF99E-6BEB-4EEA-BFE0-C5E0B86AA10F.png"
      alt="icon-image"
    >
    <div class="member-header__description">
      <div class="full-name">
        {{ member.name }}
      </div>
      <div
        class="position"
        v-if="!draftList"
      >
        {{ member.email }}
      </div>
    </div>
    <button
      v-if="!draftList"
      class="member-header__button"
      @click="$emit('update')"
    >
      Update
    </button>
  </div>
</template>

<script>
export default {
  name: 'MemberHeader',
  emits: ['update'],
  props: {
    draftList: {
      type: Boolean,
      default: false,
    },
    member: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style lang="scss">
.member-header {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  width: 100%;

  &__image{
    min-width: 46px;
    height: 46px;
    margin-right: 16px;
    object-fit: contain;
    //border-radius: 50%;
    overflow: hidden;
  }

  &__description {
    padding: 6px 0;
    text-align: left;

    .full-name {
      text-transform: uppercase;
      font-size: 16px;
      font-weight: 600;
      color: #424242;
    }
    .position {
      font-size: 10px;
      color: #424242;
    }
  }

  &__button{
    margin-left: auto;
    display: flex;
    align-items: center;
    height: 26px;
    padding: 6px 16px;
    border-radius: 4px;
    color: white;
    background-color: #424242;
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
  }
}
</style>
